/// <reference types="node" />
import { ReadStream } from 'fs';
/**
 * 向指定文件添加内容
 *
 * @param {string} targetFilePath
 * @param {(...(string | ReadStream)[])} contents
 */
declare function appendContentToFile(targetFilePath: string, ...contents: (string | ReadStream)[]): Promise<void>;
export default appendContentToFile;
