import { Command } from 'commander';
/**
 * 以交互方式获取配置
 *
 * @param options
 */
export declare function getOptionsWithConfirm(options: CreateOptions): Promise<CreateOptions>;
/**
 * 获取React组件开发相关的配置
 *
 * @export
 * @param {CreateOptions} options
 * @returns
 */
export declare function getReactOptionsWithConfirm(options: CreateOptions): Promise<CreateOptions>;
/**
 * 获取命令行参数
 *
 * @param projectName 项目名称
 * @param packageName 模块名
 * @param program 命令行程序
 */
export declare function getOptions(projectName: string, packageName: string, program: Command): Promise<CreateOptions>;
