/**
 * 项目根目录
 */
export declare const rootPath: string;
/**
 * 将相对于项目根目录的路径解析为绝对路径
 *
 * @param relativePath 相对路径
 */
export declare const resolveRoot: (relativePath: string) => string;
/**
 * 命令行工具的配置
 */
export declare const cliPackageInfo: any;
/**
 * 模板位置
 */
export declare const TEMPLATE_PATH: string;
/**
 * react组件库模板位置
 */
export declare const REACT_TEMPLATE_PATH: string;
/**
 * 通用模板位置
 */
export declare const COMMON_TEMPLATE_PATH: string;
/**
 * monorepo模式项目的模板
 */
export declare const MONOREPO_TEMPLATE_PATH: string;
/**
 * git忽略文件位置
 */
export declare const GIT_IGNORE_FILE_PATH: string;
/**
 * .npmignore 文件位置
 */
export declare const NPM_IGNORE_FILE_PATH: string;
/**
 * assets路径
 */
export declare const ASSETS_PATH: string;
/**
 * docz模板路径
 */
export declare const DOCZ_TEMPLATE_PATH: string;
/**
 * doc命令行内容
 */
export declare const DOC_README_PATH: string;
